Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Interpreter_Utils.h File Reference

`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Null_Mutex.h"`
`#include "tao/Typecode.h"`
`#include "tao/CORBA_String.h"`
`#include "orbsvcs/Trader/trading_export.h"`

Include dependency graph for Interpreter_Utils.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Sequence_Extracter_Base
class | TAO_String_Hash_Key
## Typedefs
typedef ACE_Hash_Map_Manager_Ex< TAO_String_Hash_Key, int, ACE_Hash< TAO_String_Hash_Key >, ACE_Equal_To< TAO_String_Hash_Key >, ACE_Null_Mutex > | TAO_Lookup_Table
typedef ACE_Hash_Map_Manager_Ex< TAO_String_Hash_Key, CORBA::TypeCode_ptr, ACE_Hash< TAO_String_Hash_Key >, ACE_Equal_To< TAO_String_Hash_Key >, ACE_Null_Mutex > | TAO_Typecode_Table

## Detailed Description

Id:
  Interpreter_Utils.h,v 1.10 2003/10/28 18:34:24 bala Exp

Author:

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<TAO_String_Hash_Key, int, ACE_Hash<TAO_String_Hash_Key>, ACE_Equal_To<TAO_String_Hash_Key>, ACE_Null_Mutex> TAO_Lookup_Table

typedef ACE_Hash_Map_Manager_Ex<TAO_String_Hash_Key, CORBA::TypeCode_ptr, ACE_Hash<TAO_String_Hash_Key>, ACE_Equal_To<TAO_String_Hash_Key>, ACE_Null_Mutex> TAO_Typecode_Table